summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Maw <jonathan.maw@codethink.co.uk>2012-12-05 18:00:12 +0000
committerJonathan Maw <jonathan.maw@codethink.co.uk>2012-12-05 18:00:12 +0000
commitc0c5d4c0a61fda07b68f74bee519e77adee813fb (patch)
treee76c0fe1aaf0827bdd0e30d48f7df312fde5cd3f
parent8682de32ba63ce78b8877d9ef96dcb12e302bf1d (diff)
downloadgenivi-initial-setup-c0c5d4c0a61fda07b68f74bee519e77adee813fb.tar.gz
Add ARM-specific devel-system-setup script
-rwxr-xr-xarmv7-versatile/devel-system-setup39
1 files changed, 39 insertions, 0 deletions
diff --git a/armv7-versatile/devel-system-setup b/armv7-versatile/devel-system-setup
new file mode 100755
index 0000000..a9aa8fa
--- /dev/null
+++ b/armv7-versatile/devel-system-setup
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+set -e
+
+#Ensure the /src directory exists
+mkdir -p /src
+
+#Retrieve the staging-filler
+if [ -e /src/staging-filler ]
+then
+ cd /src/staging-filler
+ git pull origin master
+ cd -
+else
+ git clone ssh://git@trove.genivi.baserock.com/ct/genivi/genivi-staging-filler-armv7 /src/staging-filler
+fi
+
+#Ensure the cache and temp directories exist
+mkdir -p /src/cache
+mkdir -p /src/tmp
+
+#Create morph.conf
+cat >/src/morph.conf <<EOF
+[config]
+log = /src/morph.log
+cachedir = /src/cache
+tempdir = /src/tmp
+staging-chroot = true
+staging-filler = /src/staging-filler/filler.tar.gz, \
+ /src/staging-filler/genivi-filler.tar.gz
+trove-host = trove.genivi.baserock.com
+trove-prefix = ct
+EOF
+
+#Ensure morph uses our morph.conf
+[ -e $HOME/.morph.conf ] && rm $HOME/.morph.conf
+ln -s /src/morph.conf $HOME/.morph.conf
+
+echo "Initial setup complete."